/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.cards {
  background-clip: border-box;
  background-color: $white;
  border: 1px solid lighten($dark, 75%);
  border-radius: $global-border-radius;
  display: flex;
  flex-direction: column;
  min-width: 0;
  overflow: hidden;
  padding: 0;
  position: relative;
  word-wrap: break-word;

  li {
    text-align: center;
  }
  
  .list-group {
    &:first-child .list-group-item:first-child {
      border-top-width: 0;
    }  
    
    &:last-child .list-group-item:last-child {
      border-bottom-width: 0;
    }
  }


  a:hover {
    .card-text,
    .card-title {
      color: darken(#707070, 10%);
    }
  }
  
  .card-icon {
    border-color: #e9e9e9;
    border-radius: 50%;
    border-style: solid;
    border-width: 1px;
    box-shadow: 0 0 6px 2px rgba(0, 0, 0, 0.35);
    height: 50px;
    margin-left: auto;
    margin-right: auto;
    margin-top: -50px;
    overflow: hidden;
    width: 50px;

    img {
      height: 50px;
      width: 50px;
    }  
  }

  .card-img-top {
    height: 180px;
    overflow: hidden;

    img {
      height: 100%;
      object-fit: cover;
      object-position: center;
      width: 100%;
    }
  }
  
  &.card-286 {
    width: 286px;
  }
  
  .card-title,
  .card-text {
    margin-bottom: $margin-base-y;   
  }

  .card-text {
    color: #707070;
    text-align: center;
  }
  
  .card-title {
    color: #707070;
    font-family: 'FiraGO Bold Italic';
    font-size: 20px;
    text-align: center;
  }

  .card-subtitle {
    font-size: 15px;
  }
  
  .card-link + .card-link {
    margin-left: $margin-lg-y;
  }
  
  .card-body {
    flex: 1 1 auto;
    padding: $padding-lg-y;
    text-align: center;
  }
  
  .card-img-overlay {
    bottom: 0;
    left: 0;
    padding: $padding-lg-y;
    position: absolute;
    right: 0;
    top: 0;
  }
  
  .card-header {
    background-color: rgba($dark, 0.03);
    border-bottom: 1px solid lighten($dark, 75%);
    color: #414141;
    font-family: 'FiraGo Light';
    font-size: 16px;
    font-weight: inherit;
    margin-bottom: 0;
    margin-top: 0;
    padding: $padding-base-y $padding-lg-y;
    text-align: center;
    
  }
  
  + .list-group .list-group-item:first-child {
    border-top: 0;
  }

  .card-footer {
    background-color: rgba($dark, 0.03);
    border-top: 1px solid lighten($dark, 75%);
    margin-bottom: 0;
    margin-top: 0;
    padding: $padding-base-y $padding-lg-y;
  }
  
  &:first-child .list-group-item:first-child {
    border-top: 0;
  }

  h2,
  h3,
  h4,
  h5,
  h6 {
    font-weight: 400;
  }
}
